.block-outline {
	border: 2px solid var(--wp--preset--color--quaternary);
	padding: 16px;
	position: relative;
}

.block-outline--has-icon {
	padding: 16px 16px 16px 28px;
}

.block-outline__icon {
	background: var(--wp--preset--color--quaternary);
	border-radius: 50%;
	width: 42px;
	height: 42px;
	top: 20px;
	left: -21px;
	position: absolute;
	z-index: 2;
	display: flex;
	align-items: center;
	justify-content: center;
}

@media only screen and (max-width: 767px) {
	.block-outline__icon {
		top: -21px;
		left: calc( 50% - 21px );
	}

	.block-outline--has-icon {
		padding: 28px 16px 16px;
	}
}

.block-outline__icon svg {
	fill: #fff;
}

.block-icon {
	background: var(--wp--preset--color--quaternary);
	border-radius: 50%;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 32px;
	height: 32px;
	margin-top: 4px;
	aspect-ratio: 1;
}

.block-icon svg {
	width: 20px;
	height: 20px;
}

.block-outline h2.wp-block-heading {
	margin-top: 30px;
}

.block-outline__inner > h2.wp-block-heading {
	margin-top: 0;
}

.block-outline__inner > *:last-child {
	margin-bottom: 0;
}
